## qscintilla 1.7.1

=== debian/changelog ===
qscintilla (1.7.1-3ubuntu13.04.0+0) raring; urgency=low

  * Raring rebuild

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 29 Apr 2013 13:41:46 +0200

qscintilla (1.7.1-2) unstable; urgency=low

  * Make QScintilla binNMU-safe (Closes: #406041)

 -- Torsten Marek <shlomme@debian.org>  Tue, 07 Aug 2007 23:59:33 +0200

qscintilla (1.7.1-1) unstable; urgency=low

  * New upstream release

 -- Torsten Marek <shlomme@debian.org>  Mon, 07 May 2007 21:07:07 +0200

qscintilla (1.7-1) experimental; urgency=low

  * New upstream release
  * Bumped the soname
  * Raise debhelper compatibility level to 5
  * Updated standards version to 3.7.2
  * Changed my email address to debian.org address

 -- Torsten Marek <shlomme@debian.org>  Wed,  6 Dec 2006 20:16:40 +0100

qscintilla (1.6-2) unstable; urgency=low

  * Conflicts with libqscintilla5 (Closes: #327334)

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Sun, 25 Sep 2005 00:43:33 +0100

qscintilla (1.6-1) unstable; urgency=low

  * New upstream release
  * Updated standards version to 3.6.2
  * Bumped the soname, the package is libqscintilla6 now
  * g++ ABI transition (Closes: #325973)

 -- Torsten Marek <shlomme@gmx.net>  Thu,  1 Sep 2005 00:40:47 +0200

qscintilla (1.5.1-1) unstable; urgency=low

  * New upstream release
  * Bumped the soname, the package is libqscintilla5 now
  * translations are now installed, too
  * added the Qt designer plugin
  * added myself to Uploaders: field

 -- Torsten Marek <shlomme@gmx.net>  Sun,  6 Mar 2005 23:27:36 +0100

qscintilla (1.3-1) unstable; urgency=low

  * New upstream release
  * Bumped the soname, so there's libqscintilla3 no more.
    It's libqscintilla4 now.

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Sat, 19 Jun 2004 03:30:48 +0100

qscintilla (1.2-6) unstable; urgency=low

  * Removed the translation file, because it clashes with the
    next version (libqscintilla4) while I decide how I fix
    that.

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Sat, 19 Jun 2004 03:14:21 +0100

qscintilla (1.2-5) unstable; urgency=low

  * Ensured that the build process installs the libs on a proper
    place, and then move it to the package.
    Closes: Bug#248776

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Wed, 16 Jun 2004 18:07:32 +0100

qscintilla (1.2-4) unstable; urgency=low

  * Dropped "ChangeLog" from "docs". dh_installchangelogs will place 
    (and name) it the right way.
    Closes: Bug#217161

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Fri, 29 Aug 2003 17:00:57 +0100

qscintilla (1.2-3) unstable; urgency=low

  * The "dumbest Debian Developer ever" release. Of course, I uploaded
    only the .debs of 1.2-2, so the builder will REJECT them because
    there are no source package at all (1.2-1 got REJECTed because I
    asked for it).
    Now, _this_ upload includes full sources.

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Fri, 22 Aug 2003 03:10:05 +0100

qscintilla (1.2-2) unstable; urgency=low

  * Changed package name to libqscintilla3. The soname has been changed.
    I (again) uploaded and then found the change. Shame on me.

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Tue, 19 Aug 2003 15:14:10 +0100

qscintilla (1.2-1) unstable; urgency=low

  * New upstream release

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Mon, 18 Aug 2003 23:17:40 +0100

qscintilla (1.1-2) unstable; urgency=low

  * Added to include/private some headers needed at QScintilla's
    build time. It seems that some programs use them even when
    QScintilla's install instructions doesn't mention them.
    Closes: Bug#203177
  * Added German translation
  * Changed package name to libqscintilla2. The soname changed
    and I didn't notice :(

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Mon, 28 Jul 2003 16:12:48 +0100

qscintilla (1.1-1) unstable; urgency=low

  * New upstream release

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Wed,  2 Jul 2003 14:32:31 +0100

qscintilla (1.0-1) unstable; urgency=low

  * New upstream release
  * Changed major number of lib version. We can strip the 'c102' from
    libqscintillaX name, because the soname has changed.

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Sun, 27 Apr 2003 21:22:43 +0100

qscintilla (0.3-5) unstable; urgency=low

  * Changed libqscintilla-dev's section to libdevel
  * .so file was at libqscintillac102. Now it's at libqscintilla-dev

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Sun, 27 Apr 2003 22:15:18 +0100

qscintilla (0.3-4) unstable; urgency=low

  * Bad Build-Depends: content. Removed libqt3-dev which conflicts with
    libqt3-mt-dev (funny, only triggered on a couple of archs).

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Sun,  6 Apr 2003 16:14:37 +0100

qscintilla (0.3-3) unstable; urgency=low

  * Compiled with G++ 3.2
  * Changed libqscintilla0 to libqscintilla0c102 as mandated by
    the transition to G++ 3.2
  * 0.3-2 were not uploaded: Closes: Bug#178926

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Sun,  2 Feb 2003 05:05:16 +0000

qscintilla (0.3-2) unstable; urgency=low

  * Updated the debian/rules so it compile flawlessly with Qt 3.1.1
    (added QMAKESPEC environment variable)

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Thu, 23 Jan 2003 00:29:44 +0000

qscintilla (0.3-1) unstable; urgency=low

  * New upstream snapshot
  * Now generating libqscintilla-doc
  * First official release. Closes: Bug#170613

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Thu, 12 Dec 2002 04:01:12 +0000

qscintilla (0.1+20021207-1) unstable; urgency=low

  * New upstream snapshot

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Sun,  8 Dec 2002 05:02:15 +0000

qscintilla (0.1+20021201-1) unstable; urgency=low

  * New upstream snapshot

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Mon,  2 Dec 2002 01:15:34 +0000


