=== debian/control ===
Source: qscintilla
Section: libs
Priority: optional
Maintainer: Ricardo Javier Cardenes Medina <rcardenes@debian.org>
Uploaders: Torsten Marek <shlomme@debian.org>
Build-Depends: debhelper (>> 5.0.0), libqt3-mt-dev (>= 3:3.3.4-4), qt3-dev-tools (>= 3:3.3.4-4)
Standards-Version: 3.7.2

Package: libqscintilla7
Section: libs
Architecture: any
Replaces: libqscintilla6
Depends: ${shlibs:Depends}
Description: Qt source code editing component based on Scintilla
 Scintilla is a free source code editing component. It has features found
 in standard editing components, as well as features especially useful
 when editing and debugging source code.
 .
 QScintilla is a port or Scintilla to the Qt GUI toolkit.

Package: libqscintilla-dev
Section: libdevel
Architecture: all
Depends: libqscintilla7 (>= ${source:Version})
Description: Qt source code editing component - development files
 Scintilla is a free source code editing component. It has features found
 in standard editing components, as well as features especially useful
 when editing and debugging source code.
 .
 QScintilla is a port of Scintilla to the Qt GUI toolkit. These are the
 development files (headers and static libs).

Package: libqscintilla-doc
Section: doc
Architecture: all
Suggests: libqscintilla-dev
Description: Qt source code editing component - documentation
 Scintilla is a free source code editing component. It has features found
 in standard editing components, as well as features especially useful
 when editing and debugging source code.
 .
 This package contain HTML files describing QScintilla classes.
