=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

# This is the debhelper compatibility version to use.
export QTDIR=/usr/share/qt3
export QMAKESPEC=$(QTDIR)/mkspecs/linux-g++
DOCDEST=$(CURDIR)/debian/tmp/usr/share/doc/libqscintilla-doc/html
HEADERDEST=$(CURDIR)/debian/tmp/usr/include/qscintilla
LIBSDEST=$(CURDIR)/debian/tmp/usr/lib
TRANSDEST=$(CURDIR)/debian/tmp/$(QTDIR)/translations
PLUGINDEST=$(CURDIR)/debian/tmp/usr/lib/qt3/plugins/designer


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	cd qt; qmake "DESTDIR=$(CURDIR)/tmplib"
	cd designer; qmake
	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	install -d $(CURDIR)/tmplib
	$(MAKE) -C qt
	$(MAKE) -C designer
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	[ ! -f qt/Makefile ] || $(MAKE) -C qt clean
	[ ! -f designer/Makefile ] || $(MAKE) -C designer clean
	-find -name 'Makefile' -exec rm {} \;
	-rm -rf tmplib

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	install -d $(HEADERDEST)/private
	install -d $(DOCDEST)
	install -d $(TRANSDEST)
	install -d $(LIBSDEST)
	install -d $(PLUGINDEST)
	for i in qt/qextscintilla*.h; do install -m 644 $$i $(HEADERDEST); done
	for i in include/*.h; do install -m 644 $$i $(HEADERDEST)/private; done
	for i in doc/html/*; do install -m 644 $$i $(DOCDEST); done
	for i in qt/*.qm; do install -m 644 $$i $(TRANSDEST); done
	mv designer/*.so $(PLUGINDEST)
	for i in tmplib/*; do mv $$i $(LIBSDEST); done


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_install -i --sourcedir=$(CURDIR)/debian/tmp
	dh_installdocs -i
	dh_installchangelogs -i ChangeLog
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i $(DEB_DH_BUILDDEB_ARGS)

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_install -a --sourcedir=$(CURDIR)/debian/tmp
	dh_installdocs -a
	dh_installchangelogs -a ChangeLog
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a -V
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a $(DEB_DH_BUILDDEB_ARGS)

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
